Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libva
#Epoch:		0
Version:	1.0.6
Release:	1
License:	MIT/X11
URL:		http://www.freedesktop.org/wiki/Software/vaapi
Group:		System/Libraries
Summary:	VA API extended with data needed for VDPAU and XvBA backends
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: libdrm-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: mesa-libGL-devel
BuildRequires: pkg-config

%description
VA API extended with data needed for VDPAU and XvBA backends

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
./configure \
--prefix=%_prefix \
--enable-i965-driver \
--enable-glx=yes 

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/h264encode
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface
%{_bindir}/test_01
%{_bindir}/test_02
%{_bindir}/test_03
%{_bindir}/test_04
%{_bindir}/test_05
%{_bindir}/test_06
%{_bindir}/test_07
%{_bindir}/test_08
%{_bindir}/test_09
%{_bindir}/test_10
%{_bindir}/test_11
%{_bindir}/vainfo
%{_libdir}/dri/dummy_drv_video.so
%{_libdir}/dri/i965_drv_video.so
%{_libdir}/libva-glx.so.*
%{_libdir}/libva.so.*
%{_libdir}/libva-tpi.so.*
%{_libdir}/libva-x11.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/va/va_backend_glx.h
%{_includedir}/va/va_backend.h
%{_includedir}/va/va_backend_tpi.h
%{_includedir}/va/va_dri2.h
%{_includedir}/va/va_dricommon.h
%{_includedir}/va/va_dri.h
%{_includedir}/va/va_dummy.h
%{_includedir}/va/va_glx.h
%{_includedir}/va/va.h
%{_includedir}/va/va_tpi.h
%{_includedir}/va/va_version.h
%{_includedir}/va/va_x11.h
%{_libdir}/dri/dummy_drv_video.la
%{_libdir}/dri/i965_drv_video.la
%{_libdir}/libva-glx.la
%{_libdir}/libva-glx.so
%{_libdir}/libva.la
%{_libdir}/libva.so
%{_libdir}/libva-tpi.la
%{_libdir}/libva-tpi.so
%{_libdir}/libva-x11.la
%{_libdir}/libva-x11.so
%{_pkgconfig}/libva-glx.pc
%{_pkgconfig}/libva.pc
%{_pkgconfig}/libva-tpi.pc
%{_pkgconfig}/libva-x11.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- version update
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.31.1-1
- version update
* Wed May 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.31.0-3
- sds13 patch
* Wed Mar 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.31.0-2
- enabled sds10 patch and thus VA-API GL support
* Sun Mar 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.31.0-1
- initial CCux package release
- sds10 patch
